[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPCustomImageHandler.Progress

Progress - method for displaying the progress of a drawing or painting action

## Declaration

Source position: fpimage.pp line 185

`protected procedure TFPCustomImageHandler.Progress(`
`Stage: TProgressStage;`
`PercentDone: Byte;`
`RedrawNow: Boolean;`
`const R: TRect;`
`const Msg: AnsiString;`
`var Continue: Boolean`
`); virtual;`

## Description

Progress - method for displaying the progress of a drawing or painting action

Sender: calling routine

Stage: Starting, Running or Ending

PercentDone: how much has been accomplished

RedrawNow: whether to refresh the Image

R: the rectangle in which drawing progress is being monitored

Msg: a message to show in the progress display

Continue: whether to keep on drawing

The latest version of this document can be found at lazarus-ccr.sourceforge.net.